#!/bin/sh

VSFTPD_CONF="/etc/vsftpd.conf"

if [ -f "${VSFTPD_CONF}" ]; then
    sed 's/#\?listen=.*/listen=YES/' -i ${VSFTPD_CONF}
    sed 's/#\?listen_ipv6=.*/listen_ipv6=NO/' -i ${VSFTPD_CONF}
    sed 's/#\?anonymous_enable=.*/anonymous_enable=NO/' -i ${VSFTPD_CONF}

    if grep -q 'listen_address=' ${VSFTPD_CONF}; then
        's/#\?listen_address=.*/listen_address=127.0.0.1/' -i ${VSFTPD_CONF}
    else
        echo "listen_address=127.0.0.1" >> ${VSFTPD_CONF}
    fi

    if grep -q 'run_as_launching_user=' ${VSFTPD_CONF}; then
        's/#\?run_as_launching_user=.*/run_as_launching_user=YES/' -i ${VSFTPD_CONF}
    else
        echo "run_as_launching_user=YES" >> ${VSFTPD_CONF}
    fi
fi
